/*
  Warnings:

  - The primary key for the `AnswerRun` table will be changed. If it partially fails, the table could be left without primary key constraint.
  - You are about to drop the column `questionIndex` on the `Quiz` table. All the data in the column will be lost.
  - You are about to drop the column `score` on the `Quiz` table. All the data in the column will be lost.
  - The primary key for the `Run` table will be changed. If it partially fails, the table could be left without primary key constraint.
  - Added the required column `updatedAt` to the `Quiz` table without a default value. This is not possible if the table is not empty.
  - Added the required column `originalQuizId` to the `Run` table without a default value. This is not possible if the table is not empty.

*/
-- DropForeignKey
ALTER TABLE `AnswerRun` DROP FOREIGN KEY `AnswerRun_runId_fkey`;

-- AlterTable
ALTER TABLE `AnswerRun` DROP PRIMARY KEY,
    MODIFY `runId` VARCHAR(191) NOT NULL,
    ADD PRIMARY KEY (`runId`, `questionId`);

-- AlterTable
ALTER TABLE `Quiz` DROP COLUMN `questionIndex`,
    DROP COLUMN `score`,
    ADD COLUMN `authorId` INTEGER NULL,
    ADD COLUMN `createdAt` DATETIME(3) NOT NULL DEFAULT CURRENT_TIMESTAMP(3),
    ADD COLUMN `isCommunity` BOOLEAN NOT NULL DEFAULT false,
    ADD COLUMN `updatedAt` DATETIME(3) NOT NULL,
    MODIFY `description` TEXT NULL,
    MODIFY `name` VARCHAR(191) NULL;

-- AlterTable
ALTER TABLE `Run` DROP PRIMARY KEY,
    ADD COLUMN `originalQuizId` CHAR(6) NOT NULL,
    ADD COLUMN `questionIndex` INTEGER NOT NULL DEFAULT 1,
    ADD COLUMN `score` INTEGER NOT NULL DEFAULT 0,
    MODIFY `id` CHAR(6) NOT NULL,
    ADD PRIMARY KEY (`id`);

-- AddForeignKey
ALTER TABLE `Quiz` ADD CONSTRAINT `Quiz_authorId_fkey` FOREIGN KEY (`authorId`) REFERENCES `QuizUser`(`id`) ON DELETE SET NULL ON UPDATE CASCADE;

-- AddForeignKey
ALTER TABLE `AnswerRun` ADD CONSTRAINT `AnswerRun_runId_fkey` FOREIGN KEY (`runId`) REFERENCES `Run`(`id`) ON DELETE RESTRICT ON UPDATE CASCADE;
