/*
  Warnings:

  - You are about to drop the column `roomId` on the `QuizUser` table. All the data in the column will be lost.
  - You are about to drop the column `roomId` on the `Run` table. All the data in the column will be lost.
  - You are about to drop the `Room` table. If the table is not empty, all the data it contains will be lost.

*/
-- DropForeignKey
ALTER TABLE `QuizUser` DROP FOREIGN KEY `QuizUser_roomId_fkey`;

-- DropForeignKey
ALTER TABLE `Run` DROP FOREIGN KEY `Run_roomId_fkey`;

-- AlterTable
ALTER TABLE `QuizUser` DROP COLUMN `roomId`,
    ADD COLUMN `PartyId` CHAR(6) NULL;

-- AlterTable
ALTER TABLE `Run` DROP COLUMN `roomId`,
    ADD COLUMN `PartyId` CHAR(6) NULL;

-- DropTable
DROP TABLE `Room`;

-- CreateTable
CREATE TABLE `Party` (
    `id` CHAR(6) NOT NULL,
    `name` VARCHAR(191) NOT NULL,
    `quizId` CHAR(6) NOT NULL,
    `status` ENUM('open', 'in_game', 'closed') NOT NULL DEFAULT 'open',

    PRIMARY KEY (`id`)
) DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;

-- AddForeignKey
ALTER TABLE `Run` ADD CONSTRAINT `Run_PartyId_fkey` FOREIGN KEY (`PartyId`) REFERENCES `Party`(`id`) ON DELETE SET NULL ON UPDATE CASCADE;

-- AddForeignKey
ALTER TABLE `QuizUser` ADD CONSTRAINT `QuizUser_PartyId_fkey` FOREIGN KEY (`PartyId`) REFERENCES `Party`(`id`) ON DELETE SET NULL ON UPDATE CASCADE;
