import { Module } from '@nestjs/common';
import { AppController } from './application/controllers/app.controller';
import { AppService } from './application/services/app.service';
import { QuizModule } from './domain/quiz/quiz.module';
import { AnswerModule } from './domain/answer/answer.module';
import { DifficultyModule } from './domain/difficulty/difficulty.module';
import { QuestionModule } from './domain/question/question.module';
import { ThemeModule } from './domain/category/category.module';
import { UserModule } from './domain/user/user.module';
import { AuthModule } from './Auth/auth/auth.module';
import { JwtModule } from '@nestjs/jwt';
import { RunModule } from './domain/run/run.module';
import { OllamaModule } from './domain/ollama/ollama.module';
import { PartyModule } from './domain/party/party.module';

@Module({
  imports: [
    QuizModule,
    AnswerModule,
    DifficultyModule,
    QuestionModule,
    ThemeModule,
    UserModule,
    AuthModule,
    JwtModule,
    RunModule,
    OllamaModule,
    PartyModule,
  ],
  controllers: [AppController],
  providers: [AppService],
})
export class AppModule {}
