import { Test, TestingModule } from '@nestjs/testing';
import { AnswerService } from './answer.service';
import { AnswerRepository } from './store/answer-repository';

describe('AnswerService', () => {
  let service: AnswerService;
  let repository: Partial<AnswerRepository>;

  beforeEach(async () => {
    repository = {
      isCorrect: jest.fn(),
    };

    const module: TestingModule = await Test.createTestingModule({
      providers: [
        AnswerService,
        { provide: AnswerRepository, useValue: repository },
      ],
    }).compile();

    service = module.get<AnswerService>(AnswerService);
  });

  afterEach(() => {
    jest.clearAllMocks();
    jest.resetAllMocks();
    jest.restoreAllMocks();
  });

  it('should be defined', () => {
    expect(service).toBeDefined();
  });

  // test unitaire de la méthode isCorrect
  it('should call isCorrect from AnswerRepository', async () => {
    const spy = jest.spyOn(repository, 'isCorrect');
    await service.isCorrect('codeQuiz', 1, 1);
    expect(spy).toHaveBeenCalledWith('codeQuiz', 1, 1);
  });
});
