import {
  Controller,
  Get,
  Post,
  Body,
  Patch,
  Param,
  Delete,
} from '@nestjs/common';
import { DifficultyService } from './difficulty.service';
import { CreateDifficultyDto } from './dto/create-difficulty.dto';
import { UpdateDifficultyDto } from './dto/update-difficulty.dto';

@Controller('difficulty')
export class DifficultyController {
  constructor(private readonly difficultyService: DifficultyService) {}

  @Post()
  create(@Body() createDifficultyDto: CreateDifficultyDto) {
    return this.difficultyService.create(createDifficultyDto);
  }

  @Get()
  findAll() {
    return this.difficultyService.findAll();
  }

  @Get(':id')
  findOne(@Param('id') id: string) {
    return this.difficultyService.findOne(+id);
  }

  @Patch(':id')
  update(
    @Param('id') id: string,
    @Body() updateDifficultyDto: UpdateDifficultyDto,
  ) {
    return this.difficultyService.update(+id, updateDifficultyDto);
  }

  @Delete(':id')
  remove(@Param('id') id: string) {
    return this.difficultyService.remove(+id);
  }
}
