import { Controller, Get, Post, Body, Patch, Param, Delete } from '@nestjs/common';
import { OllamaService } from './ollama.service';
import { ModelArg } from '@prisma/client/runtime/library';
import { Mode } from '../../utils/Mode';

@Controller('ollama')
export class OllamaController {
  constructor(private readonly ollamaService: OllamaService) {}

  @Post('trueAnswer')
  async generateTrueAnswer(
    @Body() body: {
      question: string;
    },
  ) {
    const { question } = body;
    return this.ollamaService.generateTrueAnswer(question);
  }

  @Post('falseAnswer')
  async generateFalseAnswer(
    @Body() body: {
      question: string;
      mode: Mode;
    },
  ) {
    const { question, mode } = body;

    return this.ollamaService.generateFalseAnswer(question, mode);
  }
}
