import { Answer } from 'src/domain/answer/entities/answer.entity';
import { Category } from '../../category/entities/category.entity';

export class Question {
  constructor(
    public id: number | null, // Peut être nul avant d'être sauvegardé en base
    public text: string, // Texte de la question
    public type: string, // Type de la question (ex : "multiple" ou "boolean")
    public answers: Answer[], // Liste des réponses (correcte + incorrectes)
    public order: number, // Ordre de la question dans le quiz,
    public category: Category, // Thème de la question
  ) {}
}
