import { Test, TestingModule } from '@nestjs/testing';
import { RunController } from './run.controller';
import { RunService } from './run.service';
import { AnswerService } from '../answer/answer.service';
import { AuthGuard } from '../../Auth/auth/auth.guard';
import { UserGuard } from '../user/user.guard';
import { AnswerRepository } from '../answer/store/answer-repository';
import { AnswerRepositoryOnDb } from '../answer/store/answer-repository-on-db';
import { JwtService } from '@nestjs/jwt';
import { QuizService } from '../quiz/quiz.service';
import { UserService } from '../user/user.service';

describe('RunController', () => {
  let controller: RunController;

  beforeEach(async () => {
    const module: TestingModule = await Test.createTestingModule({
      controllers: [RunController],
      providers: [
        {
          provide: RunService,
          useValue: {
            create: jest.fn(),
            findAll: jest.fn(),
            update: jest.fn(),
            remove: jest.fn(),
            incrementScore: jest.fn(),
            incrementQuestionIndex: jest.fn(),
            getAnswers: jest.fn(),
            getScore: jest.fn(),
            findRemainingQuestions: jest.fn(),
          },
        },
        AnswerService,
        {
          provide: AnswerRepository,
          useClass: AnswerRepositoryOnDb,
        },
        {
          provide: AuthGuard,
          useValue: {
            canActivate: jest.fn().mockReturnValue(true),
          },
        },
        {
          provide: UserGuard,
          useValue: {
            canActivate: jest.fn().mockReturnValue(true),
          },
        },
        {
          provide: JwtService,
          useValue: {
            sign: jest.fn(),
            verify: jest.fn(),
          },
        },
        {
          provide: QuizService,
          useValue: {
            startRun: jest.fn(), // Simule la méthode utilisée dans le controller
          },
        },
        {
          provide: UserService,
          useValue: {
            findOneWithPartyInfos: jest.fn(),
          },
        },
      ],
    }).compile();

    controller = module.get<RunController>(RunController);
  });

  it('should be defined', () => {
    expect(controller).toBeDefined();
  });
});
